from django.shortcuts import render_to_response
from django.template import RequestContext
from katrin.models import Account, RefillLog
from django.contrib.auth.models import User
from django.contrib.auth.decorators import login_required

import decimal 

@login_required()

def refill(request):
	if (request.method == 'POST'):
		refill_size = decimal.Decimal(request.POST['refill_size'])
		ac = Account.objects.get(pk=request.POST['account'])
		ac.balance += refill_size
		ac.save(request.user)
		refill_log = RefillLog(
						admin = User.objects.get(pk=request.user.id),
						account = ac,
						refill_size = refill_size)
		refill_log.save()

		return render_to_response("refill_done.html", 
						{
						'account':ac,
						}, 
						context_instance=RequestContext(request))
	else:
		accounts = Account.objects.all()
		return render_to_response("refill.html", 
						{
						'accounts':accounts,
						},
						context_instance=RequestContext(request))

